/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2004, 2005. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */
#include "shape3d.h"

class sphere:public shape3d {
	
private:
	double size;
	string color;
public:
    /* Constructors / Destructors */
    sphere(); 
    virtual ~sphere();

    /* Methods */
    void	setSize(double s) 	{size = s < 0 ? 0 : s;};
    double  getSize()			{return size;};
    void	setColor(string c)	{color = c;};
	string	getColor()			{return color;};
    double	surfaceArea() 		{return (4.0 * pi * pow(size,2));};
    double  volume()			{return (4.0 / 3.0 * pi * pow(size,3));}
    void	print()				{ cout  << "Sphere:"
										<< "\n\tRadius = " << getSize()
										<< "\n\tArea   = " << surfaceArea()
										<< "\n\tVolume = " << volume()
										<< "\n\tColor  = " << getColor()
										<< "\n\n";
								};
	void	set();
	
	
};
